Bug 1386625 - Review Request: gotun - Tool to run tests on OpenStack
Summary: Review Request: gotun - Tool to run tests on OpenStack
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1387178 1206886 1387115 1387131 1387201 1387203
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 10:25 UTC by kushaldas@gmail.com
Modified: 2017-03-10 23:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
jchaloup: fedora-review+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2016-10-19 10:25:13 UTC
Spec URL: https://kushal.fedorapeople.org/packages/gotun.spec
SRPM URL: https://kushal.fedorapeople.org/packages/gotun-0.1.0-0.1.gite6546c3.fc24.src.rpm
Description: Tool to run tests on OpenStack or remote system.
Fedora Account System Username: kushal


Note: The RPM is still broken.

Comment 1 Jan Chaloupka 2016-10-19 10:46:40 UTC
Running dependency check on the last commit from upstream repository (b65f2d15d928a82a5a310ddba83de46dd89e27e2):

$ gofed check-deps --godeps Godeps.json
ERROR:root:Unable to get mapping for gopkg.in/yaml.v2
ERROR:root:Unable to get mapping for github.com/pkg/sftp
ERROR:root:Unable to get mapping for github.com/spf13/afero/sftp
ERROR:root:Unable to get mapping for github.com/spf13/jwalterweatherman
ERROR:root:Unable to get mapping for github.com/spf13/afero
ERROR:root:Unable to get mapping for github.com/fsnotify/fsnotify
ERROR:root:Unable to get mapping for github.com/pelletier/go-buffruneio
ERROR:root:Unable to get mapping for github.com/pelletier/go-toml
ERROR:root:Unable to get mapping for github.com/spf13/afero/mem
ERROR:root:Unable to get mapping for github.com/pkg/errors
github.com/hashicorp/hcl is outdated in distribution
github.com/urfave/cli is outdated in distribution
Unable to find ipprefix2rpm mapping 'github.com/pkg/sftp' ipprefix
Unable to find ipprefix2rpm mapping 'gopkg.in/yaml.v2' ipprefix
github.com/rackspace/gophercloud is outdated in distribution: not covered: [u'github.com/rackspace/gophercloud/openstack/imageservice/v2/images']
Unable to find ipprefix2rpm mapping 'github.com/pelletier/go-buffruneio' ipprefix
golang.org/x/sys is outdated in distribution
golang.org/x/crypto is outdated in distribution: not covered: [u'golang.org/x/crypto/ed25519', u'golang.org/x/crypto/ed25519/internal/edwards25519']
github.com/magiconair/properties is outdated in distribution
Unable to find ipprefix2rpm mapping 'github.com/spf13/afero' ipprefix
golang.org/x/text is outdated in distribution
github.com/spf13/cast is outdated in distribution
github.com/mitchellh/mapstructure is outdated in distribution
Unable to find ipprefix2rpm mapping 'github.com/pelletier/go-toml' ipprefix
Unable to find ipprefix2rpm mapping 'github.com/pkg/errors' ipprefix
Unable to find ipprefix2rpm mapping 'github.com/spf13/jwalterweatherman' ipprefix
github.com/kr/fs is up-to-date
Unable to find ipprefix2rpm mapping 'github.com/fsnotify/fsnotify' ipprefix
github.com/spf13/viper is outdated in distribution
github.com/spf13/pflag is outdated in distribution

Summary:
- 11 package outdated
- 5 packages missing

Comment 3 kushaldas@gmail.com 2016-10-19 12:57:34 UTC
Updated spec, and SRPM.

Spec URL: https://kushal.fedorapeople.org/packages/gotun.spec
SRPM URL: https://kushal.fedorapeople.org/packages/gotun-0-0.1.git839a210.fc24.src.rpm

Comment 4 Jan Chaloupka 2017-02-03 22:41:27 UTC
All deps are updated and available.
Scratch build is succesful up to ppc64: https://koji.fedoraproject.org/koji/taskinfo?taskID=17578163

Comment 5 Jan Chaloupka 2017-02-03 22:45:09 UTC
Just two nits:
1) change the with_macros into header to:

# If any of the following macros should be set otherwise,
# you can wrap any of them with the following conditions:
# - %%if 0%%{centos} == 7
# - %%if 0%%{?rhel} == 7
# - %%if 0%%{?fedora} == 23
# Or just test for particular distribution:
# - %%if 0%%{centos}
# - %%if 0%%{?rhel}
# - %%if 0%%{?fedora}
#
# Be aware, on centos, both %%rhel and %%centos are set. If you want to test
# rhel specific macros, you can use %%if 0%%{?rhel} && 0%%{?centos} == 0 condition.
# (Don't forget to replace double percentage symbol with single one in order to apply a condition)
 
# Generate devel rpm
%global with_devel 1
# Build project from bundled dependencies
%global with_bundled 0
# Build with debug info rpm
%global with_debug 1
# Run tests in check section
%global with_check 1
# Generate unit-test rpm
%global with_unit_test 0

2) exclude ppc64 arch or patch the source code so gotun can be built on it

None of the nits are blocker for the review.
The spec file conforms to the current golang packaging draft.

Comment 6 Gwyn Ciesla 2017-02-27 15:16:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gotun

Comment 7 Fedora Update System 2017-03-09 04:44:35 UTC
gotun-0-0.1.gitccf43e2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-96e4cc8115

Comment 8 Fedora Update System 2017-03-10 23:23:08 UTC
gotun-0-0.1.gitccf43e2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-96e4cc8115


Note You need to log in before you can comment on or make changes to this bug.